Announcement

Collapse

Welcome to the New Seqanswers!

Welcome to the new Seqanswers! We'd love your feedback, please post any you have to this topic: New Seqanswers Feedback.
See more
See less

CummeRbund installation failing

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #31
    Originally posted by myRNA_Seq View Post
    It says: /usr/bin/cufflinks.
    When I use echo $PATH, it didn't show there, why?
    You may actually have an older "cufflinks" in /usr/bin (do a long listing
    Code:
    ls -l /usr/bin
    to see if that it true) or there may be a softlink to some other cufflinks somewhere else on the system (if this is a shared server then that is a possibility).

    echo $PATH will only show directories included in your PATH variable (not the specific programs).

    Originally posted by myRNA_Seq View Post
    ************

    I followed the instruction from the paper "Differential gene and transcript expression analysis of RNA-seq experiments with TopHat and Cufflinks" (http://www.nature.com/nprot/journal/....2012.016.html) and use exact files in the examples.

    $ find . -name transcripts.gtf > gtf_out_list.txt
    $ ~/cufflinks-2.0.2.Linux_x86_64/cuffcompare - i gtf_out_list.txt -r gene.gtf
    Is the "gtf_out_list.txt" file successfully created? Make sure it is a non-zero byte file (i.e. there is something in it, by using cat/more commands to look at the file contents).

    Comment


    • #32
      Yes. I found cufflinks (cuffcompare; cuffmerge; cuffdiff...) using code: ls -l /usr/bin.

      How can I remove them or how can I get the path that I set as the priority.
      The file "gtf_out_list.txt" was successfully created.

      Using full path, it works without warning anymore, and got all the output files except *.refmap *.tmap file. Do you know why? I need use these files for next step.

      Comment


      • #33
        Originally posted by myRNA_Seq View Post
        Yes. I found cufflinks (cuffcompare; cuffmerge; cuffdiff...) using code: ls -l /usr/bin.

        How can I remove them or how can I get the path that I set as the priority.
        Amend your PATH variable (pre-pathing) like this in a new shell. This should make the system look at your local directories first before going to /usr/bin.

        Code:
        export PATH=~/cufflinks-2.0.2.Linux_x86_64/cufflinks:~/cufflinks-2.0.2.Linux_x86_64/cuffdiff:~/cufflinks-2.0.2.Linux_x86_64/cuffcompare:$PATH
        If you are the administrator of this system you could rename the older versions (is that the case?) in /usr/bin with some extension (e.g. /usr/bin/cuffcompare to /use/bin/cuffcompare_OLD) and then try the run again.


        Originally posted by myRNA_Seq View Post

        The file "gtf_out_list.txt" was successfully created.

        Using full path, it works without warning anymore, and got all the output files except *.refmap *.tmap file. Do you know why? I need use these files for next step.
        If the files are not being generated then there must be some error that is occurring. You can try to capture that error by running your cuffcompare command this way (which will capture the stderr messages to a file)
        Code:
        $cuffcompare -i gtf_out_list.txt -r genes.gtf 2> cuffcompare_errors.txt

        Comment


        • #34
          With this commend, still no error is reported, the output content are the following:

          you are using cufflinks v2.0.2, which is the most recent release.

          Comment


          • #35
            Since the original protocol was written for older versions of TopHat and Bowtie I am running it now to see if it can be completed successfully with the newest versions available now.

            Comment


            • #36
              Thank you so much, GenoMax. The data I used were the simulatedFastq_Files (from GSM794488).

              Comment


              • #37
                The workflow described in nature protocols papers did work for me with the newest versions of TopHat (2.0.8), Cufflinks (2.0.2) and Bowtie2 (2.1.0). I also used the simulated data set.

                Perhaps your cuffcompare did not work correctly if you are not seeing the *.tmap files.

                Note: I did not check the R related parts from the protocol.
                Last edited by GenoMax; 03-01-2013, 12:19 PM. Reason: additional clarification

                Comment


                • #38
                  cummeRbund problems with functions

                  I was able to successfully use readCufflinks after installed cummerbund but that's how far I could go with it. None of the functions seemed to work as expected. Here's the disastrous session info:
                  > library(cummeRbund)
                  Loading required package: RSQLite
                  Loading required package: DBI
                  Loading required package: reshape
                  Loading required package: plyr

                  Attaching package: ‘reshape’

                  The following object(s) are masked from ‘packagelyr’:

                  rename, round_any

                  Loading required package: ggplot2
                  > cuff<-readCufflinks('diff_out_2252013-1')
                  Creating database diff_out_2252013-1/cuffData.db
                  Reading diff_out_2252013-1/genes.fpkm_tracking
                  Checking samples table...
                  Populating samples table...
                  Writing genes table
                  Reshaping geneData table
                  Recasting
                  Writing geneData table
                  Reading diff_out_2252013-1/gene_exp.diff
                  Writing geneExpDiffData table
                  Reading diff_out_2252013-1/promoters.diff
                  Writing promoterDiffData table
                  Reading diff_out_2252013-1/isoforms.fpkm_tracking
                  Checking samples table...
                  OK!
                  Writing isoforms table
                  Reshaping isoformData table
                  Recasting
                  Writing isoformData table
                  Reading diff_out_2252013-1/isoform_exp.diff
                  Writing isoformExpDiffData table
                  Reading diff_out_2252013-1/tss_groups.fpkm_tracking
                  Checking samples table...
                  OK!
                  Writing TSS table
                  Reshaping TSSData table
                  Recasting
                  Writing TSSData table
                  Reading diff_out_2252013-1/tss_group_exp.diff
                  Writing TSSExpDiffData table
                  Reading diff_out_2252013-1/splicing.diff
                  Writing splicingDiffData table
                  Reading diff_out_2252013-1/cds.fpkm_tracking
                  Checking samples table...
                  OK!
                  Writing CDS table
                  Reshaping CDSData table
                  Recasting
                  Writing CDSData table
                  Reading diff_out_2252013-1/cds_exp.diff
                  Writing CDSExpDiffData table
                  Reading diff_out_2252013-1/cds.diff
                  Writing CDSDiffData table
                  Indexing Tables...
                  > csDensity(genes(cuff))
                  'opts' is deprecated. Use 'theme' instead. (Deprecated; last used in version 0.9.1)
                  Setting the plot title with opts(title="...") is deprecated.
                  Use labs(title="...") or ggtitle("...") instead. (Deprecated; last used in version 0.9.1)
                  > diffGeneIDs <- getSig(cuff,level="genes",alpha=0.05)
                  Error: could not find function "getSig"

                  Please help!

                  Comment


                  • #39
                    Thank you very much GenoMax. It works for me too. I re-run some of the protocol to get the searchable index for each map files. it could be because of some of the program in wrong path and the old one was working there.

                    Comment


                    • #40
                      I was getting the same error on Ubuntu 12.04 and R 2.15.3:
                      installation of package ‘cummeRbund’ had non-zero exit status

                      and can confirm that running first:
                      sudo apt-get install libxml2-dev
                      sudo apt-get install libcurl4-openssl-dev

                      followed by:
                      source("http://bioconductor.org/biocLite.R")
                      biocLite("cummeRbund")

                      allows the installation to complete

                      Comment


                      • #41
                        How I solved it

                        I just upgraded to Ubuntu 12 and together with it an updated version of R was installed. I faced an issue regarding the availability of cummeRbund for the earlier version of Ubuntu and this is why I did the upgrade.

                        However, I faced a similar issue to the situation you describe. A complaint about RCurl not being configurable and that curl-config wasn't found. So I basically run this command on the terminal
                        Code:
                        ERROR: configuration failed for package 'RCurl'
                        then moved to R shell
                        Code:
                        sudo R
                        source(http://bioconductor.org/biocLite.R)
                        biocLite("cummeRbund");
                        biocLite() then should be able to install all the packages and dependencies required for cummeRbund as well as update older ones.

                        Comment


                        • #42
                          cummeRbund installtion problem

                          Hi all

                          I am a new in this subject and trying to install cummeRbund but failed. I tryed all the instruction given here before but I am facing a bit different prob. Here I am sending you my probs plz. send me a solution

                          I am using fedora 16 32bit, R 2.15.2, Bioconductor 2.11


                          trying URL 'http://bioconductor.org/packages/2.11/bioc/src/contrib/cummeRbund_2.0.0.tar.gz'
                          Content type 'application/x-gzip' length 2327551 bytes (2.2 Mb)
                          opened URL
                          ==================================================
                          downloaded 2.2 Mb

                          * installing *source* package ‘RCurl’ ...
                          ** package ‘RCurl’ successfully unpacked and MD5 sums checked
                          checking for curl-config... no
                          Cannot find curl-config
                          ERROR: configuration failed for package ‘RCurl’
                          * removing ‘/usr/lib/R/library/RCurl’
                          ERROR: dependency ‘RCurl’ is not available for package ‘biomaRt’
                          * removing ‘/usr/lib/R/library/biomaRt’
                          ERROR: dependency ‘RCurl’ is not available for package ‘rtracklayer’
                          * removing ‘/usr/lib/R/library/rtracklayer’
                          ERROR: dependencies ‘rtracklayer’, ‘biomaRt’, ‘RCurl’ are not available for package ‘GenomicFeatures’
                          * removing ‘/usr/lib/R/library/GenomicFeatures’
                          ERROR: dependency ‘GenomicFeatures’ is not available for package ‘biovizBase’
                          * removing ‘/usr/lib/R/library/biovizBase’
                          ERROR: dependencies ‘rtracklayer’, ‘biomaRt’, ‘GenomicFeatures’, ‘biovizBase’ are not available for package ‘Gviz’
                          * removing ‘/usr/lib/R/library/Gviz’
                          ERROR: dependencies ‘rtracklayer’, ‘Gviz’ are not available for package ‘cummeRbund’
                          * removing ‘/usr/lib/R/library/cummeRbund’

                          The downloaded source packages are in
                          ‘/tmp/RtmpRFghP0/downloaded_packages’
                          Updating HTML index of packages in '.Library'
                          Making packages.html ... done
                          Warning messages:
                          1: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                          installation of package ‘RCurl’ had non-zero exit status
                          2: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                          installation of package ‘biomaRt’ had non-zero exit status
                          3: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                          installation of package ‘rtracklayer’ had non-zero exit status
                          4: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                          installation of package ‘GenomicFeatures’ had non-zero exit status
                          5: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                          installation of package ‘biovizBase’ had non-zero exit status
                          6: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                          installation of package ‘Gviz’ had non-zero exit status
                          7: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                          installation of package ‘cummeRbund’ had non-zero exit status

                          As per previous instruction i read in this forum I installed "libcurl"

                          Dependencies Resolved

                          ===========================================================================================================================================
                          Package Arch Version Repository Size
                          ===========================================================================================================================================
                          Installing:
                          libcurl-devel i686 7.21.7-8.fc16 updates 276 k

                          Transaction Summary
                          ===========================================================================================================================================
                          Install 1 Package

                          Total download size: 276 k
                          Installed size: 570 k
                          Is this ok [y/N]: y
                          Downloading Packages:
                          libcurl-devel-7.21.7-8.fc16.i686.rpm | 276 kB 00:04
                          Running Transaction Check
                          Running Transaction Test
                          Transaction Test Succeeded
                          Running Transaction
                          Installing : libcurl-devel-7.21.7-8.fc16.i686 1/1
                          Verifying : libcurl-devel-7.21.7-8.fc16.i686 1/1

                          Installed:
                          libcurl-devel.i686 0:7.21.7-8.fc16

                          Complete!

                          Now I check if the installation is o.k or not by

                          which xml2-configure
                          /usr/bin/which: no xml2-configure in (/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/avrajit/.local/bin:/home/avrajit/bin)

                          plz. guide me out from this i need to run cummeRbund

                          Comment


                          • #43
                            Can anybody tell me, if I can install cummeRbund on my user account (linux server) without root permision. R is installed in root and can be accessed from every user but not cummeRbund. I want to install cummeRbund within my user area ?
                            anybody has done like this ?
                            expecting replies ?
                            Thank you

                            Comment


                            • #44
                              Xml

                              dear GenoMax,
                              Maybe I have got an new problem of a different error:
                              please help!

                              /usr/bin/ld: /usr/local/lib/libxml2.a(error.o): relocation R_X86_64_32 against `.rodata.str1.1' can not be used when making a shared object; recompile with -fPIC
                              /usr/local/lib/libxml2.a: could not read symbols: Bad value
                              collect2: ld returned 1 exit status
                              make: *** [XML.so] Error 1
                              ERROR: compilation failed for package ‘XML’
                              * removing ‘/usr/local/lib64/R/library/XML’
                              ERROR: dependency ‘XML’ is not available for package ‘biomaRt’
                              * removing ‘/usr/local/lib64/R/library/biomaRt’
                              ERROR: dependency ‘XML’ is not available for package ‘rtracklayer’
                              * removing ‘/usr/local/lib64/R/library/rtracklayer’
                              ERROR: dependencies ‘rtracklayer’, ‘biomaRt’ are not available for package ‘GenomicFeatures’
                              * removing ‘/usr/local/lib64/R/library/GenomicFeatures’
                              ERROR: dependency ‘GenomicFeatures’ is not available for package ‘biovizBase’
                              * removing ‘/usr/local/lib64/R/library/biovizBase’
                              ERROR: dependencies ‘rtracklayer’, ‘biomaRt’, ‘GenomicFeatures’, ‘biovizBase’ are not available for package ‘Gviz’
                              * removing ‘/usr/local/lib64/R/library/Gviz’
                              ERROR: dependencies ‘rtracklayer’, ‘Gviz’ are not available for package ‘cummeRbund’
                              * removing ‘/usr/local/lib64/R/library/cummeRbund’
                              The downloaded source packages are in
                              ‘/tmp/RtmpDzK6OA/downloaded_packages’
                              Updating HTML index of packages in '.Library'
                              Making packages.html ... done
                              Warning messages:
                              1: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                              installation of package ‘XML’ had non-zero exit status
                              2: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                              installation of package ‘biomaRt’ had non-zero exit status
                              3: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                              installation of package ‘rtracklayer’ had non-zero exit status
                              4: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                              installation of package ‘GenomicFeatures’ had non-zero exit status
                              5: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                              installation of package ‘biovizBase’ had non-zero exit status
                              6: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                              installation of package ‘Gviz’ had non-zero exit status
                              7: In install.packages(pkgs = pkgs, lib = lib, repos = repos, ...) :
                              installation of package ‘cummeRbund’ had non-zero exit status

                              Comment


                              • #45
                                Have you installed libxml2 library (this is ubuntu I assume)?

                                Comment

                                Working...
                                X